import * as dom from "../../../../base/browser/dom.js";
import { ICodeEditor, IContentWidgetPosition } from "../../../browser/editorBrowser.js";
import { IKeybindingService } from "../../../../platform/keybinding/common/keybinding.service.js";
import { ResizableContentWidget } from "./resizableContentWidget.js";
import { IContextKeyService } from "../../../../platform/contextkey/common/contextkey.service.js";
import { IConfigurationService } from "../../../../platform/configuration/common/configuration.service.js";
import { IAccessibilityService } from "../../../../platform/accessibility/common/accessibility.service.js";
import { RenderedContentHover } from "./contentHoverRendered.js";
import { ScrollEvent } from "../../../../base/common/scrollable.js";
export declare class ContentHoverWidget extends ResizableContentWidget {
    private readonly _configurationService;
    private readonly _accessibilityService;
    private readonly _keybindingService;
    static ID: string;
    private static _lastDimensions;
    private _renderedHover;
    private _positionPreference;
    private _minimumSize;
    private _contentWidth;
    private readonly _hover;
    private readonly _hoverVisibleKey;
    private readonly _hoverFocusedKey;
    private readonly _onDidResize;
    readonly onDidResize: import("../../../../base/common/event.js").Event<void>;
    private readonly _onDidScroll;
    readonly onDidScroll: import("../../../../base/common/event.js").Event<ScrollEvent>;
    get isVisibleFromKeyboard(): boolean;
    get isVisible(): boolean;
    get isFocused(): boolean;
    constructor(editor: ICodeEditor, contextKeyService: IContextKeyService, _configurationService: IConfigurationService, _accessibilityService: IAccessibilityService, _keybindingService: IKeybindingService);
    dispose(): void;
    getId(): string;
    private static _applyDimensions;
    private _setContentsDomNodeDimensions;
    private _setContainerDomNodeDimensions;
    private _setScrollableElementDimensions;
    private _setHoverWidgetDimensions;
    private static _applyMaxDimensions;
    private _setHoverWidgetMaxDimensions;
    private _setAdjustedHoverWidgetDimensions;
    private _updateResizableNodeMaxDimensions;
    protected _resize(size: dom.Dimension): void;
    private _findAvailableSpaceVertically;
    private _findMaximumRenderingHeight;
    private _isHoverTextOverflowing;
    private _findMaximumRenderingWidth;
    isMouseGettingCloser(posx: number, posy: number): boolean;
    private _setRenderedHover;
    private _updateFont;
    private _updateContent;
    private _layoutContentWidget;
    private _updateMaxDimensions;
    private _render;
    getPosition(): IContentWidgetPosition | null;
    show(renderedHover: RenderedContentHover): void;
    hide(): void;
    private _removeConstraintsRenderNormally;
    setMinimumDimensions(dimensions: dom.Dimension): void;
    private _updateMinimumWidth;
    onContentsChanged(): void;
    focus(): void;
    scrollUp(): void;
    scrollDown(): void;
    scrollLeft(): void;
    scrollRight(): void;
    pageUp(): void;
    pageDown(): void;
    goToTop(): void;
    goToBottom(): void;
}
