import { Event } from "../../../../base/common/event.js";
import { ITestRunProfile, TestRunProfileBitset } from "./testTypes.js";
export declare const ITestingContinuousRunService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<ITestingContinuousRunService>;
export interface ITestingContinuousRunService {
    readonly _serviceBrand: undefined;
    readonly lastRunProfileIds: ReadonlySet<number>;
    onDidChange: Event<string | undefined>;
    isSpecificallyEnabledFor(testId: string): boolean;
    isEnabledForAParentOf(testId: string): boolean;
    isEnabledForAChildOf(testId: string): boolean;
    isEnabledForProfile(profile: ITestRunProfile): boolean;
    isEnabled(): boolean;
    start(profile: ITestRunProfile[] | TestRunProfileBitset, testId?: string): void;
    stopProfile(profile: ITestRunProfile): void;
    stop(testId?: string): void;
}
