import { Event } from "../../../../base/common/event.js";
import { AllowedExtension } from "../common/authentication.js";
export declare const IAuthenticationAccessService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IAuthenticationAccessService>;
export interface IAuthenticationAccessService {
    readonly _serviceBrand: undefined;
    readonly onDidChangeExtensionSessionAccess: Event<{
        providerId: string;
        accountName: string;
    }>;
    isAccessAllowed(providerId: string, accountName: string, extensionId: string): boolean | undefined;
    readAllowedExtensions(providerId: string, accountName: string): AllowedExtension[];
    updateAllowedExtensions(providerId: string, accountName: string, extensions: AllowedExtension[]): void;
    removeAllowedExtensions(providerId: string, accountName: string): void;
}
